##############################################################################
#
# Copyright (c) 2014 Vifib SARL and Contributors. All Rights Reserved.
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsibility of assessing all potential
# consequences resulting from its eventual inadequacies and bugs.
# End users who are looking for a ready-to-use solution with commercial
# guarantees and support are strongly advised to contract a Free Software
# Service Company.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from setuptools import setup, find_packages
import os

version = '0.1'
name = 'slapos.extension.strip'

def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

setup(
    name=name,
    version=version,
    description="zc.buildout extension to strip binaries.",
    long_description=(
        read('README.rst')
        + '\n' +
        read('CHANGES.txt')
        + '\n' +
        'Download\n'
        '***********************\n'
    ),
    classifiers=[
        'Framework :: Buildout :: Extension',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Programming Language :: Python',
        'Topic :: Software Development :: Build Tools',
    ],
    keywords='buildout extension strip',
    author='Kazuhiko Shiozaki',
    author_email='kazuhiko@nexedi.com',
    url='http://git.erp5.org/gitweb/slapos.buildout.git',
    packages=find_packages(exclude=['ez_setup']),
    namespace_packages=['slapos', 'slapos.extension'],
    include_package_data=True,
    zip_safe=False,
    install_requires=[
        'zc.buildout',
    ],
    entry_points = {
        'zc.buildout.unloadextension': [
             'default = slapos.extension.strip:finish',
             ],
        },
)
